> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sacra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company valuation table embed

> Returns embeddable HTML for a company's valuation table. Provide at least one of `company_slug`, `company_domain`, or `company_id`. If multiple are provided, `company_id` takes priority, followed by `company_slug`.



## OpenAPI

````yaml GET /api/v1/embed/company-data-valuation-table/
openapi: 3.0.3
info:
  title: Sacra API
  version: 1.0.0
  description: >-
    The Sacra API currently supports querying News, Documents, Companies and
    Categories that enable you to use Sacra research within your own
    application.


    ## **Getting started guide**


    To start using the APIs, you need to:


    - Only available to **Platforms** and **Funds** tier members. (See
    [here](https://sacra.com/pricing/))
        
    - You must use a valid API Key to send requests to the API endpoints. You
    can generate your API key in the Api Keys section of your [Organization
    Settings](https://sacra.com/orgs/settings/general/).
        
    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        

    ## Authentication


    The Sacra API uses Tokens for authentication.


    You can generate a Sacra API Key/Token in the Api Keys section of your
    [Organization Settings](https://sacra.com/orgs/settings/general/).


    You must include an API Key/Token in each request to the Sacra API with the
    **Authorization** request header.


    ### Authentication error response


    If a Token is missing, malformed, or invalid, you will receive an HTTP 401
    Unauthorized response code.


    ### **Need some help?**


    In case you have questions, we will eventually provide tutorials and a FAQ
    page. But for now you can check out the
    [#developers](https://discord.gg/mTswyV8gg3) channel in our community
    [Discord](https://discord.gg/mTswyV8gg3), there’s a good chance our
    community has an answer for you.


    ## Authorization


    | **Key** | **Value** |

    | --- | --- |

    | Authorization | Token {{API_KEY}} |
servers:
  - url: https://sacra.com
    description: Production
security: []
tags:
  - name: Companies
  - name: Categories
  - name: Events
  - name: News
  - name: Documents
  - name: Filings
  - name: Embeds
  - name: Metrics
  - name: Funding (Legacy)
paths:
  /api/v1/embed/company-data-valuation-table/:
    get:
      tags:
        - Embeds
      summary: Get a company valuation table embed
      description: >-
        Returns embeddable HTML for a company's valuation table. Provide at
        least one of `company_slug`, `company_domain`, or `company_id`. If
        multiple are provided, `company_id` takes priority, followed by
        `company_slug`.
      operationId: embed_company_data_valuation_table_retrieve
      parameters:
        - in: query
          name: company_domain
          schema:
            type: string
          description: Domain of the company (e.g. `spacex.com`).
        - in: query
          name: company_id
          schema:
            type: integer
          description: >-
            Primary key ID of the company. Takes priority over other
            identifiers.
        - in: query
          name: company_slug
          schema:
            type: string
          description: Prismic UID / slug of the company (e.g. `spacex`).
        - in: query
          name: height
          schema:
            type: integer
          description: 'Height of the embed iframe in pixels. Default: 840.'
        - in: query
          name: width
          schema:
            type: integer
          description: 'Width of the embed iframe in pixels. Default: 600.'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValuationTableEmbedSuccessResponse'
              examples:
                ValuationTableEmbed:
                  value:
                    status: success
                    data:
                      embed_html: >
                        <iframe frameborder="0" height="500"
                        src="https://sacra.com/embed/.../valuation-table/stripe/"
                        title="Sacra Valuation Table Embed" width="560">

                        </iframe>
          description: Embed HTML for the company valuation table.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyEmbedBadRequestResponse'
              examples:
                MissingIdentifier:
                  value:
                    status: failed
                    message: >-
                      Either company_slug, company_domain, or company_id
                      parameter is required
          description: Missing required parameter or malformed request.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyEmbedNotFoundResponse'
              examples:
                CompanyNotFound:
                  value:
                    status: failed
                    message: 'Company not found for domain: stripe.com'
          description: Company not found for the given identifier.
      security:
        - tokenAuth: []
components:
  schemas:
    ValuationTableEmbedSuccessResponse:
      type: object
      properties:
        status:
          type: string
        data:
          $ref: '#/components/schemas/ValuationTableEmbedData'
      required:
        - data
        - status
    CompanyEmbedBadRequestResponse:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
      required:
        - message
        - status
    CompanyEmbedNotFoundResponse:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
      required:
        - message
        - status
    ValuationTableEmbedData:
      type: object
      properties:
        embed_html:
          type: string
      required:
        - embed_html
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````